### php.java.faces

# Class PhpFacesMethodBindingImpl

- `java.lang.Object`

- `javax.faces.el.MethodBinding`

- `php.java.faces.PhpFacesMethodBindingImpl`

Implemented Interfaces:
  javax.faces.component.StateHolder

`public class PhpFacesMethodBindingImpl`
`extends javax.faces.el.MethodBinding`
`implements javax.faces.component.StateHolder`

A custom MethodBindingImpl, forwards method calls to Script

Author:
  jostb

See Also:
  `Script`

## Constructor Summary

`PhpFacesMethodBindingImpl()`
  The basic constructor.

`PhpFacesMethodBindingImpl(javax.faces.application.Application application, java.lang.String ref, args[] )`

## Method Summary

`java.lang.String`

`getExpressionString()`

`java.lang.Class`

`getType(javax.faces.context.FacesContext context)`

`java.lang.Object`

`invoke(javax.faces.context.FacesContext context, args[] )`

`boolean`

`isTransient()`

`void`

`restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`

`java.lang.Object`

`saveState(javax.faces.context.FacesContext context)`

`void`

`setTransient(boolean newTransientValue)`

### Methods inherited from class javax.faces.el.MethodBinding

`getExpressionString`, `getType`, `invoke`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Constructor Details

### PhpFacesMethodBindingImpl

    public PhpFacesMethodBindingImpl()

> The basic constructor. Object is special, because it has no superclass, so there is no call to super().

### PhpFacesMethodBindingImpl

    public PhpFacesMethodBindingImpl(javax.faces.application.Application application,
                                     java.lang.String ref,
                                     args[] )

## Method Details

### getExpressionString

    public java.lang.String getExpressionString()

> Overrides:
>   getExpressionString in interface javax.faces.el.MethodBinding

### getType

    public java.lang.Class getType(javax.faces.context.FacesContext context)

> Overrides:
>   getType in interface javax.faces.el.MethodBinding

### invoke

    public java.lang.Object invoke(javax.faces.context.FacesContext context,
                                   args[] )
                throws javax.faces.el.MethodNotFoundException

### isTransient

    public boolean isTransient()

> Specified by:
>   isTransient in interface javax.faces.component.StateHolder

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

> Specified by:
>   restoreState in interface javax.faces.component.StateHolder

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

> Specified by:
>   saveState in interface javax.faces.component.StateHolder

### setTransient

    public void setTransient(boolean newTransientValue)

> Specified by:
>   setTransient in interface javax.faces.component.StateHolder